Batch Create
POSThttps://api.confident-ai.com/v1/metrics/batch
Creates a batch of new metrics on your Confident AI project.
curl -X POST "https://api.confident-ai.com/v1/metrics/batch" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"metrics": [
{
"name": "Correctness",
"criteria": "Determine if the `actual output` is correct based on the `expected output`.",
"evaluationParams": [
"actualOutput",
"expectedOutput"
],
"multiTurn": false
}
]
}'{
"success": true,
"data": {
"ids": [
"METRIC-ID"
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Request body
metricslist of objectsRequiredThis is the list of metrics you want to add to your project.
Show 7 propertiesHide 7 properties
idstringRequiredThis is the unique id of the metric.
namestringRequiredThis is the name of the metric, it's unique to all metrics.
criteriastringThis is the criteria this metric uses to evaluate test cases.
evaluationStepslist of stringsAn alternative to criteria — a list of steps used to evaluate test cases.
requiredParameterslist of enums | list of enumsRequiredThe parameters required by this metric for evaluation.
Show 2 variantsHide 2 variants
singleTurnRequiredParameterslist of enumsShow 9 enum valuesHide 9 enum values
inputactualOutputexpectedOutputcontextexpectedToolstoolsCalledretrievalContextmetadatatags
- OR
multiTurnRequiredParameterslist of enumsShow 8 enum valuesHide 8 enum values
contentrolescenarioexpectedOutcometoolsCalledretrievalContextmetadatatags
multiTurnbooleanRequiredThis is true if the metric is used to evaluate multi-turn test cases.
rubriclist of objectsA list of score ranges (0–10 inclusive). Must be in order and non-overlapping. Click here to learn more
Show 2 propertiesHide 2 properties
scoreRangelist of numbersRequiredAn array consisting of the ranges of scores to generate.
expectedOutcomestringRequiredThe expected outcome for your evaluation.
Response
successbooleanThis is true if the metrics were created successfully.
dataobjectThis maps to the ids of the metrics created.
Show 1 propertyHide 1 property
idslist of stringsThe ids of the batch metrics created.
deprecatedbooleanThis is true if this batch metrics endpoint is deprecated.